## net.i2p.router
Class MessageStateMonitor

    java.lang.Object
      net.i2p.router.MessageStateMonitor

    public class MessageStateMonitor

extends Object

Keep track of the inbound and outbound messages in memory.

Constructor Summary
`MessageStateMonitor(RouterContext context)`

Method Summary
`int` `getInboundLiveCount()`
`int` `getInboundReadCount()`
`int` `getOutboundDiscardedCount()`
`int` `getOutboundLiveCount()`
`void` `inboundMessageAdded()`
`void` `inboundMessageFinalized()`
`void` `inboundMessageRead()`
`void` `outboundMessageAdded()`
`void` `outboundMessageDiscarded()`
`void` `outboundMessageFinalized()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageStateMonitor

    public MessageStateMonitor(RouterContext context)

Method Detail

### inboundMessageAdded

    public void inboundMessageAdded()

### inboundMessageRead

    public void inboundMessageRead()

### inboundMessageFinalized

    public void inboundMessageFinalized()

### outboundMessageAdded

    public void outboundMessageAdded()

### outboundMessageDiscarded

    public void outboundMessageDiscarded()

### outboundMessageFinalized

    public void outboundMessageFinalized()

### getInboundLiveCount

    public int getInboundLiveCount()

### getInboundReadCount

    public int getInboundReadCount()

### getOutboundLiveCount

    public int getOutboundLiveCount()

### getOutboundDiscardedCount

    public int getOutboundDiscardedCount()